# Interface for submodule: vnl_lbfgs
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: vnl_lbfgs
from ._proxies import vnl_lbfgsProxy as _vnl_lbfgsProxy
class _vnl_lbfgsTemplate(_itkTemplate):
    """Interface for instantiating itk::vnl_lbfgs"""

    def __new__(cls, *args: Any) -> _vnl_lbfgsProxy:
        """Instantiate itk::vnl_lbfgs"""
        ...

    def __call__(self, *args: Any) -> _vnl_lbfgsProxy:
        """Instantiate itk::vnl_lbfgs"""
        ...

vnl_lbfgs = _vnl_lbfgsTemplate

